NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | List of all members
NXOpen.UF.UFPoint Class Reference

Contains wrappers for all 'UF_POINT' functions and data types. More...

Inheritance diagram for NXOpen.UF.UFPoint:
NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

void AskPointOutput (NXOpen.Tag point_feature_id, out NXOpen.Tag point_id)
 Wrapper method for UF_POINT_ask_point_output More...
 
void Create3Scalars (NXOpen.Tag[] xyz, out NXOpen.Tag point_feature_id)
 Wrapper method for UF_POINT_create_3_scalars More...
 
void CreateAlongCurve (NXOpen.Tag curve, NXOpen.Tag base_point, NXOpen.Tag t, UFSo.PointAlongCurveOption option, bool flip, out NXOpen.Tag point_feature_id)
 Wrapper method for UF_POINT_create_along_curve More...
 
void CreateAtConicCenter (NXOpen.Tag conic, out NXOpen.Tag point_feature_id)
 Wrapper method for UF_POINT_create_at_conic_center More...
 
void CreateAtIntersectionOfTwoCurves (NXOpen.Tag curve1, NXOpen.Tag curve2, NXOpen.Tag help_point1, NXOpen.Tag help_point2, out NXOpen.Tag point_feature_id)
 Wrapper method for UF_POINT_create_at_intersection_of_two_curves More...
 
void CreateOnArcAngle (NXOpen.Tag arc, NXOpen.Tag angle, NXOpen.Tag xform, out NXOpen.Tag point_feature_id)
 Wrapper method for UF_POINT_create_on_arc_angle More...
 
void CreateOnCurve (NXOpen.Tag curve, NXOpen.Tag t, out NXOpen.Tag point_feature_id)
 Wrapper method for UF_POINT_create_on_curve More...
 
void CreateOnSurface (NXOpen.Tag surface, NXOpen.Tag u, NXOpen.Tag v, out NXOpen.Tag point_feature_id)
 Wrapper method for UF_POINT_create_on_surface More...
 
void CreateSurfaceCurveIntersection (NXOpen.Tag surface, NXOpen.Tag curve, NXOpen.Tag help_point1, NXOpen.Tag help_point2, out NXOpen.Tag point_feature_id)
 Wrapper method for UF_POINT_create_surface_curve_intersection More...
 
void CreateWithOffset (NXOpen.Tag base_point, NXOpen.Tag offset, out NXOpen.Tag point_feature_id)
 Wrapper method for UF_POINT_create_with_offset More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Detailed Description

Contains wrappers for all 'UF_POINT' functions and data types.

Member Function Documentation

void NXOpen.UF.UFPoint.AskPointOutput ( NXOpen.Tag  point_feature_id,
out NXOpen.Tag  point_id 
)
inline

Wrapper method for UF_POINT_ask_point_output

Refer to UF_POINT_ask_point_output for documentation

License requirements:None

void NXOpen.UF.UFPoint.Create3Scalars ( NXOpen.Tag[]  xyz,
out NXOpen.Tag  point_feature_id 
)
inline

Wrapper method for UF_POINT_create_3_scalars

Refer to UF_POINT_create_3_scalars for documentation

License requirements:None

void NXOpen.UF.UFPoint.CreateAlongCurve ( NXOpen.Tag  curve,
NXOpen.Tag  base_point,
NXOpen.Tag  t,
UFSo.PointAlongCurveOption  option,
bool  flip,
out NXOpen.Tag  point_feature_id 
)
inline

Wrapper method for UF_POINT_create_along_curve

Refer to UF_POINT_create_along_curve for documentation

License requirements:None

void NXOpen.UF.UFPoint.CreateAtConicCenter ( NXOpen.Tag  conic,
out NXOpen.Tag  point_feature_id 
)
inline

Wrapper method for UF_POINT_create_at_conic_center

Refer to UF_POINT_create_at_conic_center for documentation

License requirements:None

void NXOpen.UF.UFPoint.CreateAtIntersectionOfTwoCurves ( NXOpen.Tag  curve1,
NXOpen.Tag  curve2,
NXOpen.Tag  help_point1,
NXOpen.Tag  help_point2,
out NXOpen.Tag  point_feature_id 
)
inline

Wrapper method for UF_POINT_create_at_intersection_of_two_curves

Refer to UF_POINT_create_at_intersection_of_two_curves for documentation

License requirements:None

void NXOpen.UF.UFPoint.CreateOnArcAngle ( NXOpen.Tag  arc,
NXOpen.Tag  angle,
NXOpen.Tag  xform,
out NXOpen.Tag  point_feature_id 
)
inline

Wrapper method for UF_POINT_create_on_arc_angle

Refer to UF_POINT_create_on_arc_angle for documentation

License requirements:None

void NXOpen.UF.UFPoint.CreateOnCurve ( NXOpen.Tag  curve,
NXOpen.Tag  t,
out NXOpen.Tag  point_feature_id 
)
inline

Wrapper method for UF_POINT_create_on_curve

Refer to UF_POINT_create_on_curve for documentation

License requirements:None

void NXOpen.UF.UFPoint.CreateOnSurface ( NXOpen.Tag  surface,
NXOpen.Tag  u,
NXOpen.Tag  v,
out NXOpen.Tag  point_feature_id 
)
inline

Wrapper method for UF_POINT_create_on_surface

Refer to UF_POINT_create_on_surface for documentation

License requirements:None

void NXOpen.UF.UFPoint.CreateSurfaceCurveIntersection ( NXOpen.Tag  surface,
NXOpen.Tag  curve,
NXOpen.Tag  help_point1,
NXOpen.Tag  help_point2,
out NXOpen.Tag  point_feature_id 
)
inline

Wrapper method for UF_POINT_create_surface_curve_intersection

Refer to UF_POINT_create_surface_curve_intersection for documentation

License requirements:None

void NXOpen.UF.UFPoint.CreateWithOffset ( NXOpen.Tag  base_point,
NXOpen.Tag  offset,
out NXOpen.Tag  point_feature_id 
)
inline

Wrapper method for UF_POINT_create_with_offset

Refer to UF_POINT_create_with_offset for documentation

License requirements:None


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.